#!/bin/sh

# Copyright (C) 2010 Wildfire Games.
# This file is part of 0 A.D.
#
# 0 A.D. is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# 0 A.D. is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with 0 A.D.  If not, see <http://www.gnu.org/licenses/>.
#

# Constants.
PROGRAM="0 A.D."
VERSION="undefined"
BIN_PATH=/usr/bin
BIN=${BIN_PATH}/pyrogenesis_dbg



help() {
    cat <<EOF
Usage: $progname [OPTION]...

Launch the '0 A.D.' game.

-e, --editor          run the Atlas Scenario Editor
-h, --help            display this message and exit
-v, --version         print version information and exit

Copyright (C) 2010 Wildfire Games. 
Additional info in http://www.wildfiregames.com/0ad
EOF

}

run_normal() {
	if [ -f $BIN ] 
	then
	    $BIN
	    exit 0
	else
		echo "You don't have the game correctly installed."
		exit 1
	fi
}

run_editor() {
	if [ -f $BIN ] 
	then
	    $BIN -editor
	    exit 0
	else
		echo "You don't have the game correctly installed."
		exit 1
	fi
}

command="$1"
if [ -z "$command" ]; then
    run_normal
fi

case "$command" in
  -h | --help)
	help
    exit 0
    ;;

  -v | --version)
    echo "$PROGRAM version $VERSION"
    exit 0
    ;;
    
  -e | --editor)
    run_editor
    ;;

  *)
    echo "$PROGRAM: unrecognized option '$@'" 1>&2
    exit 1
    ;;
esac
